export declare enum ColumnType {
    'Array' = "Array",
    'Binary' = "Binary",
    'Blob' = "Blob",
    'Boolean' = "Boolean",
    'Date' = "Date",
    'Decimal' = "Decimal",
    'Float' = "Float",
    'Int' = "Int",
    'Long' = "Long",
    'Null' = "Null",
    'Short' = "Short",
    'SQL' = "SQL",
    'String' = "String",
    'XML' = "XML",
    'Time' = "Time",
    'Timestamp' = "Timestamp",
    'Unknown' = "Unknown",
    'Url' = "Url"
}
export declare const numericResultSetTypes: Set<ColumnType>;
export declare class TypescriptResultSet {
    readonly columns: string[];
    readonly types: ColumnType[];
    readonly rows: any[][];
    static serialize(rs: TypescriptResultSet): any[][];
    static deserialize(rs: any[][]): TypescriptResultSet;
    constructor(columns: string[], types: ColumnType[], rows?: any[][]);
    toObjects(): IObjectAny[];
}
