import * as React from 'react';
import { FormContext } from './Context';
import { ErrorType, IFormError } from './interfaces';
interface IFormErrors {
    className?: string;
    trigger?: boolean;
    errors?: IFormError[];
    error?: string | JSX.Element;
    type?: ErrorType;
}
export declare const FormError: React.FC<IFormErrors>;
interface IFormErrorForName<T> {
    formName: string;
    name: DeepKeyOf<T>;
    displayName?: string;
}
export declare class FormErrorForName<T> extends React.PureComponent<IFormErrorForName<T>> {
    static contextType: React.Context<import("./Context").IFormContext<any> | undefined>;
    context: React.ContextType<typeof FormContext>;
    render(): JSX.Element;
}
export {};
