import { ColumnAlignment, IColumnConfig } from '../interfaces';
import { CurrencyCell } from './CurrencyCell';
import { CustomCell } from './CustomCell';
import { DateCell } from './DateTimeCell';
import { DecimalCell } from './DecimalCell';
import { FieldCell } from './FieldCell';
import { IntegerCell } from './IntegerCell';
import { S3FileCell } from './S3FileCell';
import { ShortCell } from './ShortCell';
import { StatusCell } from './StatusCell';
import { TextCell } from './TextCell';
export declare enum CellType {
    Actions = "Actions",
    Boolean = "Boolean",
    Currency = "Currency",
    Custom = "Custom",
    Date = "Date",
    DateTime = "DateTime",
    Decimal = "Decimal",
    Field = "Field",
    Integer = "Integer",
    Link = "Link",
    Status = "Status",
    Text = "Text",
    Object = "Object",
    Tooltip = "Tooltip",
    S3FileCell = "S3FileCell",
    Short = "Short"
}
export declare const getCellComponent: <T>(column: IColumnConfig<T>) => typeof CurrencyCell | typeof CustomCell | typeof DateCell | typeof DecimalCell | typeof IntegerCell | typeof StatusCell | typeof S3FileCell | typeof ShortCell | typeof FieldCell;
export declare const getDefaultFormatter: <T>(column: IColumnConfig<T>) => Function | undefined;
export declare const getDefaultAlignment: <T>(column: IColumnConfig<T>) => ColumnAlignment;
export { CurrencyCell, TextCell, };
