import * as React from 'react';
export declare type TooltipType = 'warning' | 'error' | 'info';
export declare type TooltipPosition = 'bottom' | 'top';
export interface ITooltip {
    type?: TooltipType | '';
    message: string | React.ReactElement<any>;
    className?: string;
    containerClassName?: string;
    position?: TooltipPosition;
    onClick?(): void;
}
interface ITooltipState {
    visible: boolean;
}
export declare const Tooltip: React.FC<ITooltip>;
export declare class TooltipOnHover extends React.PureComponent<ITooltip, ITooltipState> {
    state: {
        visible: boolean;
    };
    render(): JSX.Element;
    private showTooltip;
    private hideTooltip;
}
export declare class TooltipOnClick extends React.PureComponent<ITooltip, ITooltipState> {
    state: {
        visible: boolean;
    };
    render(): JSX.Element;
    private toggleTooltip;
    private hideTooltip;
}
export {};
