import { Numeric } from '../../util/NumberUtils/NumberUtils';
import { IEqOperator, INumOperator, IOrdAlphaOperator, IOrdOperator, IRequireableOperator, RegexOperator } from './interfaces';
export declare const required: IRequireableOperator;
export declare const eq: IEqOperator;
export declare type CompareResult = -1 | 0 | 1;
export interface IAlphaComparator {
    (a: string, b: string): CompareResult;
}
export interface IComparator {
    (a: Numeric, b: Numeric): CompareResult;
}
export declare const compare: IComparator;
export declare const compareAlpha: IAlphaComparator;
export declare const gt: IOrdOperator;
export declare const gte: IOrdOperator;
export declare const lt: IOrdOperator;
export declare const lte: IOrdOperator;
export declare const gtAlpha: IOrdAlphaOperator;
export declare const gteAlpha: IOrdAlphaOperator;
export declare const ltAlpha: IOrdAlphaOperator;
export declare const lteAlpha: IOrdAlphaOperator;
export declare const multipleOfFactor: INumOperator;
export declare const matches: RegexOperator;
