import { Ord, ValidatorCreator } from './interfaces';
export interface IOrdValidatorCreatorFactory {
    (value: Ord): ValidatorCreator<Ord, Ord, any, any>;
}
export interface IOrdAlphaValidatorCreatorFactory {
    (value: string): ValidatorCreator<string, string, any, any>;
}
export declare const eqOrdCreator: IOrdValidatorCreatorFactory;
export declare const gtOrdCreator: IOrdValidatorCreatorFactory;
export declare const gteOrdCreator: IOrdValidatorCreatorFactory;
export declare const ltOrdCreator: IOrdValidatorCreatorFactory;
export declare const lteOrdCreator: IOrdValidatorCreatorFactory;
export declare const gtOrdAlphaCreator: IOrdAlphaValidatorCreatorFactory;
export declare const gteOrdAlphaCreator: IOrdAlphaValidatorCreatorFactory;
export declare const ltOrdAlphaCreator: IOrdAlphaValidatorCreatorFactory;
export declare const lteOrdAlphaCreator: IOrdAlphaValidatorCreatorFactory;
interface IRange<T extends Ord> {
    min?: T;
    max?: T;
}
export interface IRangeValidatorCreatorFactory {
    (range: IRange<Ord>): ValidatorCreator<IRange<Ord>, Ord, any, any>;
}
export declare const inIntervalCreator: IRangeValidatorCreatorFactory;
export declare const inSegmentCreator: IRangeValidatorCreatorFactory;
export {};
