import { IBootConfig, Marshaller } from '../marshalling';
import type { Serialized } from '../marshalling';
export type { IBootConfig };
export interface IApiService {
    onSubmit: <T>(nameWithModule: string, domainObject: Serialized<T>) => Promise<Serialized<T>>;
}
declare class ApplicationConfiguration {
    readonly api: IApiService;
    readonly marshaller: Marshaller;
    constructor(api: IApiService, marshallerBootConfig: IBootConfig);
}
export declare const initializeApplication: (api: IApiService, marshallerBootConfig: IBootConfig) => ApplicationConfiguration;
export declare const getApplicationConfiguration: () => ApplicationConfiguration;
