/// <reference types="moment" />
import moment from 'moment-timezone';
export declare const DisplayDateFormat = "DD MMM YYYY";
export declare const InputDateFormat = "DD/MM/YYYY";
export declare const MachineDateFormat = "YYYY-MM-DD";
export declare const DateTimeFormat = "DD MMM YYYY HH:mm:ss";
export declare const MachineDateTimeFormat = "YYYY-MM-DDTHH:mm:ss";
declare type JsDateGetter = () => number;
export declare const ISO_DATE_ONLY_FORMAT = "YYYY-MM-DD";
export declare const useDefaultTime: (getter: JsDateGetter) => void;
export declare const isTimeTraveling: boolean;
export declare const setTimeTravelOffset: (offset?: number | undefined) => number;
export declare const getTimeTravelOffsetInDays: () => number;
export declare const setTimeZone: (tz?: string | undefined) => string;
export declare const getTimeZone: () => string;
export declare const time: (timeValue?: string | undefined, format?: string | moment.MomentBuiltinFormat | (string | moment.MomentBuiltinFormat)[] | undefined) => moment.Moment;
export declare const today: (format?: string | undefined) => DateStr;
export declare const todaysDate: () => DateStr;
export declare const convertISOToDateStr: (timeValue: DateStr, format?: string | undefined) => DateStr;
export declare const convertDateStrToISO: (timeValue: DateStr, format?: string | undefined, onlyDate?: boolean | undefined) => DateStr;
export declare const addDays: (date: string | DateStr, amount: Int) => DateStr;
export declare const addMonths: (date: string | DateStr, amount: Int) => DateStr;
export declare const asStartOfMonth: (date: string | DateStr) => DateStr;
export declare const asStartOfYear: (date: string | DateStr) => DateStr;
export declare const getYearsSince: (date: DateStr, format?: string | undefined) => number;
export declare const differenceBetweenDates: (d1: DateStr, d2: DateStr, format: string) => number;
export declare const fromTimestamp: (timestamp: number) => moment.Moment;
export declare const differenceBetweenDatesInMinutes: (d1: moment.Moment, d2: moment.Moment) => number;
export declare const minutesPassedSince: (date: moment.Moment) => number;
declare class Timer {
    private timestamp;
    start: () => void;
    end: () => number;
    private reset;
}
export declare const getTimerInstance: () => Timer;
export {};
